The Dom\AdjacentPosition Enum

- « DOMXPath::registerPhpFunctions

- Dom\Attr »

- PHP Manual
- DOM
- The Dom\AdjacentPosition Enum

# The Dom\AdjacentPosition Enum

(PHP 8 >= 8.4.0)

## Introduction

The AdjacentPosition enum is used to specify where, relative to the context element, insertion should be performed using Dom\Element::insertAdjacentElement() or Dom\Element::insertAdjacentText().

## Enum synopsis

enum AdjacentPosition
{
case BeforeBegin ; // Insert before the context element. This is only possible if the element is in a document and has a parent.
case AfterBegin ; // Insert before the first child of the context element.
case BeforeEnd ; // Insert after the last child of the context element.
case AfterEnd ; // Insert after the context element. This is only possible if the element is in a document and has a parent.
}